Delete a conversation

Base URL
https://{kibana_url}
  • DELETE /api/security_ai_assistant/current_user/conversations/{id}
  • DELETE /s/{space_id}/api/security_ai_assistant/current_user/conversations/{id}
Auth

Delete an existing conversation using the conversation ID. This endpoint allows users to permanently delete a conversation.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · format: nonempty · min length: 1 required

The conversation's id value.

Example: abc123

Responses

Indicates a successful call. The conversation was deleted successfully.

application/json
apiConfig object
actionTypeId string required

Action type ID

connectorId string required

Connector ID

defaultSystemPromptId string

Default system prompt ID

model string

Model

provider enum

Provider

Values: OpenAI Azure OpenAI Other
category enum required

The conversation category.

Values: assistant insights
createdAt string required

The time conversation was created.

createdBy object required

Could be any string, not necessarily a UUID.

id string

User id.

name string

User name.

excludeFromLastConversationStorage boolean

Exclude from last conversation storage.

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

messages object[]

The conversation messages.

content string required

Message content.

id string · format: nonempty · min length: 1

A string that does not contain only whitespace characters.

isError boolean

Is error message.

metadata object

Message metadata

contentReferences map string to oneOf

A union of all content reference types

interruptResumeValue union oneOf

Union of the interrupt resume values

One of:

A request approval resume schema

type enum required

The type of interrupt

Values: SELECT_OPTION INPUT_TEXT
value string required

The value of the selected option to resume the graph execution with

interruptValue union oneOf

Union of the interrupt values

One of:

Interrupt that requests user to select one of the provided options

expired boolean

Whether the interrupt has expired and can no longer be resumed.

threadId string required

Thread ID of the graph execution that produced this message.

type enum required

The type of interrupt

Values: SELECT_OPTION INPUT_TEXT
description string required

Description of action required

options object[] required

List of actions to choose from

buttonColor enum
Values: text accent accentSecondary primary success warning danger neutral risk
label string required
value string required
reader object
refusal string

Refusal reason returned by the model when content is filtered.

role enum required

Message role.

Values: system user assistant
timestamp string · format: nonempty · min length: 1 required

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

traceData object

Trace Data

traceId string

Could be any string, not necessarily a UUID

transactionId string

Could be any string, not necessarily a UUID

user object

Could be any string, not necessarily a UUID.

id string

User id.

name string

User name.

namespace string required

Kibana space

replacements map string to string

Replacements object used to anonymize/deanonymize messages

timestamp string · format: nonempty · min length: 1

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

title string required

The conversation title.

updatedAt string

The last time conversation was updated.

users object[] required
id string

User id.

name string

User name.

Bad Request response.

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}